# module PSON::Pure::Generator::GeneratorMethods::String

### Public Class Methods

included(modul) click to toggle source

Extends modul with the String::Extend module.

    # File lib/puppet/external/pson/pure/generator.rb, line 362
    def self.included(modul)
      modul.extend Extend
    end

### Public Instance Methods

to_pson(*) click to toggle source

This string should be encoded with UTF-8 A call to this method returns a PSON string encoded with UTF16 big endian characters as u????.

    # File lib/puppet/external/pson/pure/generator.rb, line 347
    def to_pson(*)
      '"' << PSON.utf8_to_pson(self) << '"'
    end

to_pson_raw(*args) click to toggle source

This method creates a PSON text from the result of a call to #to_pson_raw_object of this String.

    # File lib/puppet/external/pson/pure/generator.rb, line 379
    def to_pson_raw(*args)
      to_pson_raw_object.to_pson(*args)
    end

to_pson_raw_object() click to toggle source

This method creates a raw object hash, that can be nested into other data structures and will be unparsed as a raw string. This method should be used, if you want to convert raw strings to PSON instead of UTF-8 strings, e. g. binary data.

    # File lib/puppet/external/pson/pure/generator.rb, line 370
    def to_pson_raw_object
      {
        PSON.create_id  => self.class.name,
        'raw'           => self.unpack('C*'),
      }
    end